Bug 246772 - Curves: Don't recalculate on mouseUp if the position of the marker did not change
Summary: Curves: Don't recalculate on mouseUp if the position of the marker did not ch...
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Plugin-Editor-Curves (show other bugs)
Version: 1.4.0
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-05 09:09 UTC by Simon
Modified: 2016-06-29 18:56 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simon 2010-08-05 09:09:55 UTC
Version:           1.4.0 (using KDE 4.4.5) 
OS:                Linux

Related to: https://bugs.kde.org/show_bug.cgi?id=238776

If I drag a node around until it fits and then release the mosue button, it is always recalculated. This is an unnecessary delay if the node's position did not change. 

Reproducible: Always




OS: Linux (x86_64) release 2.6.34-0.slh.11-sidux-amd64
Compiler: cc
Comment 1 Marcel Wiesweg 2011-01-27 19:44:25 UTC
SVN commit 1217517 by mwiesweg:

No need to emit curvesChanged signal from mouseReleased.
It's sufficient to release it from mousePress and mouseMove.

Use update() instead of repaint().

BUG: 246772


 M  +4 -1      NEWS  
 M  +12 -14    libs/dimg/filters/curves/curveswidget.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1217517